Skip to main content
POST
/
v6
/
taxes
/
setup
Save tax profile
curl --request POST \
  --url https://sandbox.tight.com/v6/taxes/setup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "countryCode": "USA",
  "state": "DC",
  "filingStatus": {
    "federal": "SINGLE",
    "state": "SINGLE"
  },
  "annualW2Income": 1000000,
  "withholding": {
    "useWithholding": true,
    "federalWithholding": 100051,
    "stateWithholding": 100051
  },
  "numExemptions": 1,
  "tipIncome": 500000,
  "overtimeIncome": 300000,
  "homeOffice": {
    "useHomeOfficeDeduction": true,
    "homeOfficeArea": 250.5
  },
  "mileage": {
    "useEstimate": true,
    "estimate": 1000,
    "useMileageDeduction": false,
    "vehicleBusinessPercent": "49.9"
  },
  "expenses": {
    "useEstimate": true,
    "estimate": 55176
  },
  "income": {
    "useEstimate": true,
    "estimate": 55176
  },
  "isSetupComplete": true
}
'
{
  "result": "SUCCESS",
  "data": {
    "countryCode": "USA",
    "state": "DC",
    "filingStatus": {
      "federal": "SINGLE",
      "state": "SINGLE"
    },
    "annualW2Income": 1000000,
    "withholding": {
      "useWithholding": true,
      "federalWithholding": 100051,
      "stateWithholding": 100051
    },
    "numExemptions": 1,
    "tipIncome": 500000,
    "overtimeIncome": 300000,
    "homeOffice": {
      "useHomeOfficeDeduction": true,
      "homeOfficeArea": 250.5
    },
    "mileage": {
      "useEstimate": true,
      "estimate": 1000,
      "useMileageDeduction": false,
      "vehicleBusinessPercent": "49.9"
    },
    "expenses": {
      "useEstimate": true,
      "estimate": 55176
    },
    "income": {
      "useEstimate": true,
      "estimate": 55176
    },
    "isSetupComplete": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json

Override of the user's tax profile for the estimate calculation

countryCode
string

ISO 3166-1 alpha-3 country code

Example:

"USA"

state
string

Two-character state/province abbreviation for which tax needs to be calculated

Example:

"DC"

filingStatus
object

Federal and state filing status

annualW2Income
integer<int32>

Annual W-2 income total, in cents

Example:

1000000

withholding
object

W-2 withholding configuration

numExemptions
integer<int32>

Number of state personal exemptions the tax filer qualifies for

Example:

1

tipIncome
integer<int32>

Year-to-date W-2 income from tips, in cents

Example:

500000

overtimeIncome
integer<int32>

Year-to-date W-2 income from overtime, in cents

Example:

300000

homeOffice
object

Home office deduction configuration

mileage
object

Business mileage configuration

expenses
object

Business expenses estimate configuration

income
object

Business income estimate configuration

isSetupComplete
boolean

Whether the user's tax profile is complete

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.